" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,:,<,=,>,?,\\,_,~,/,^

syn keyword tl_keyword contained %e% %pi% * *args*
syn keyword tl_keyword contained *args-eff* *args-full* *filters* *full-args*
syn keyword tl_keyword contained *gensym-counter* *hash-seed* *lib-version* *listener-greedy-eval-p*
syn keyword tl_keyword contained *listener-hist-len* *listener-multi-line-p* *listener-pprint-p* *listener-sel-inclusive-p*
syn keyword tl_keyword contained *load-path* *package* *package-alist* *param-macro*
syn keyword tl_keyword contained *place-clobber-expander* *place-delete-expander* *place-macro* *place-update-expander*
syn keyword tl_keyword contained *pprint-flo-format* *print-base* *print-circle* *print-flo-digits*
syn keyword tl_keyword contained *print-flo-format* *print-flo-precision* *random-state* *random-warmup*
syn keyword tl_keyword contained *rec-source-loc* *stddebug* *stderr* *stdin*
syn keyword tl_keyword contained *stdlog* *stdnull* *stdout* *trace-output*
syn keyword tl_keyword contained *txr-version* *unhandled-hook* + -
syn keyword tl_keyword contained / /= : :abandoned
syn keyword tl_keyword contained :addr :apf :append :args
syn keyword tl_keyword contained :atime :auto :awk-again :awk-file
syn keyword tl_keyword contained :awk-rec :begin :begin-file :blksize
syn keyword tl_keyword contained :blocks :bool :byte-oriented :cdigit
syn keyword tl_keyword contained :chars :cint :close :continue
syn keyword tl_keyword contained :counter :cspace :ctime :cword-char
syn keyword tl_keyword contained :dec :decline :dev :digit
syn keyword tl_keyword contained :downcase :end :end-file :env
syn keyword tl_keyword contained :eql-based :equal-based :explicit-no :fallback
syn keyword tl_keyword contained :fd :fence :filter :fini
syn keyword tl_keyword contained :finish :float :form :from-current
syn keyword tl_keyword contained :from-end :from-start :from_html :frombase64
syn keyword tl_keyword contained :fromhtml :frompercent :fromurl :fun
syn keyword tl_keyword contained :function :gap :gid :greedy
syn keyword tl_keyword contained :hex :hextoint :inf :init
syn keyword tl_keyword contained :ino :inp :inputs :instance
syn keyword tl_keyword contained :into :key :let :lfilt
syn keyword tl_keyword contained :lines :list :lists :local
syn keyword tl_keyword contained :longest :mandatory :maxgap :maxtimes
syn keyword tl_keyword contained :method :mid :mingap :mintimes
syn keyword tl_keyword contained :mode :mtime :name :named
syn keyword tl_keyword contained :next-spec :nlink :nothrow :oct
syn keyword tl_keyword contained :outf :outp :output :postinit
syn keyword tl_keyword contained :prio :rdev :real-time :reflect
syn keyword tl_keyword contained :repeat-spec :resolve :rfilt :set
syn keyword tl_keyword contained :set-file :shortest :size :space
syn keyword tl_keyword contained :static :str :string :symacro
syn keyword tl_keyword contained :text :times :tlist :to_html
syn keyword tl_keyword contained :tobase64 :tofloat :tohtml :tohtml*
syn keyword tl_keyword contained :toint :tonumber :topercent :tourl
syn keyword tl_keyword contained :uid :upcase :use :use-from
syn keyword tl_keyword contained :use-syms :userdata :var :vars
syn keyword tl_keyword contained :weak-keys :weak-vals :whole :word-char
syn keyword tl_keyword contained :wrap < <= =
syn keyword tl_keyword contained > >= abort abs
syn keyword tl_keyword contained abs-path-p acons acons-new aconsql-new
syn keyword tl_keyword contained acos ado af-inet af-inet6
syn keyword tl_keyword contained af-unix af-unspec ai-addrconfig ai-all
syn keyword tl_keyword contained ai-canonname ai-numerichost ai-numericserv ai-passive
syn keyword tl_keyword contained ai-v4mapped alet align alignof
syn keyword tl_keyword contained alist-nremove alist-remove all and
syn keyword tl_keyword contained andf ap apf append
syn keyword tl_keyword contained append* append-each append-each* apply
syn keyword tl_keyword contained aret array arraysize ash
syn keyword tl_keyword contained asin assoc assql at-exit-call
syn keyword tl_keyword contained at-exit-do-not-call atan atan2 atom
syn keyword tl_keyword contained awk base-name base64-decode base64-encode
syn keyword tl_keyword contained base64-stream-dec base64-stream-enc bchar be-double
syn keyword tl_keyword contained be-float be-int16 be-int32 be-int64
syn keyword tl_keyword contained be-uint16 be-uint32 be-uint64 bignum-len
syn keyword tl_keyword contained bignump bindable bit blkcnt-t
syn keyword tl_keyword contained blksize-t block block* bool
syn keyword tl_keyword contained boundp break-str brkint bs0
syn keyword tl_keyword contained bs1 bsdly bstr bstr-d
syn keyword tl_keyword contained buf buf-alloc-size buf-carray buf-d
syn keyword tl_keyword contained buf-get-char buf-get-cptr buf-get-double buf-get-float
syn keyword tl_keyword contained buf-get-i16 buf-get-i32 buf-get-i64 buf-get-i8
syn keyword tl_keyword contained buf-get-int buf-get-long buf-get-short buf-get-u16
syn keyword tl_keyword contained buf-get-u32 buf-get-u64 buf-get-u8 buf-get-uchar
syn keyword tl_keyword contained buf-get-uint buf-get-ulong buf-get-ushort buf-put-char
syn keyword tl_keyword contained buf-put-cptr buf-put-double buf-put-float buf-put-i16
syn keyword tl_keyword contained buf-put-i32 buf-put-i64 buf-put-i8 buf-put-int
syn keyword tl_keyword contained buf-put-long buf-put-short buf-put-u16 buf-put-u32
syn keyword tl_keyword contained buf-put-u64 buf-put-u8 buf-put-uchar buf-put-uint
syn keyword tl_keyword contained buf-put-ulong buf-put-ushort buf-set-length buf-trim
syn keyword tl_keyword contained bufp build build-list butlast
syn keyword tl_keyword contained butlastn caaaaar caaaadr caaaar
syn keyword tl_keyword contained caaadar caaaddr caaadr caaar
syn keyword tl_keyword contained caadaar caadadr caadar caaddar
syn keyword tl_keyword contained caadddr caaddr caadr caar
syn keyword tl_keyword contained cadaaar cadaadr cadaar cadadar
syn keyword tl_keyword contained cadaddr cadadr cadar caddaar
syn keyword tl_keyword contained caddadr caddar cadddar caddddr
syn keyword tl_keyword contained cadddr caddr cadr call
syn keyword tl_keyword contained call-clobber-expander call-finalizers call-super-fun call-super-method
syn keyword tl_keyword contained call-update-expander callf car carray
syn keyword tl_keyword contained carray-blank carray-buf carray-buf-sync carray-cptr
syn keyword tl_keyword contained carray-dup carray-free carray-get carray-getz
syn keyword tl_keyword contained carray-list carray-num carray-own carray-pun
syn keyword tl_keyword contained carray-put carray-putz carray-ref carray-refset
syn keyword tl_keyword contained carray-replace carray-set-length carray-sub carray-type
syn keyword tl_keyword contained carray-unum carray-vec carrayp caseq
syn keyword tl_keyword contained caseq* caseql caseql* casequal
syn keyword tl_keyword contained casequal* cat-str cat-streams cat-vec
syn keyword tl_keyword contained catch catch* catenated-stream-p catenated-stream-push
syn keyword tl_keyword contained cbaud cbaudex cdaaaar cdaaadr
syn keyword tl_keyword contained cdaaar cdaadar cdaaddr cdaadr
syn keyword tl_keyword contained cdaar cdadaar cdadadr cdadar
syn keyword tl_keyword contained cdaddar cdadddr cdaddr cdadr
syn keyword tl_keyword contained cdar cddaaar cddaadr cddaar
syn keyword tl_keyword contained cddadar cddaddr cddadr cddar
syn keyword tl_keyword contained cdddaar cdddadr cdddar cddddar
syn keyword tl_keyword contained cdddddr cddddr cdddr cddr
syn keyword tl_keyword contained cdr ceil ceil-rem chain
syn keyword tl_keyword contained chand char chdir chmod
syn keyword tl_keyword contained chr-digit chr-int chr-isalnum chr-isalpha
syn keyword tl_keyword contained chr-isascii chr-isblank chr-iscntrl chr-isdigit
syn keyword tl_keyword contained chr-isgraph chr-islower chr-isprint chr-ispunct
syn keyword tl_keyword contained chr-isspace chr-isunisp chr-isupper chr-isxdigit
syn keyword tl_keyword contained chr-num chr-str chr-str-set chr-tolower
syn keyword tl_keyword contained chr-toupper chr-xdigit chrp clamp
syn keyword tl_keyword contained clear-dirty clear-error clear-struct clearhash
syn keyword tl_keyword contained clocal clock-t clockid-t close-stream
syn keyword tl_keyword contained closelog closure cmp-str cmspar
syn keyword tl_keyword contained collect-each collect-each* comb command-get
syn keyword tl_keyword contained command-get-buf command-get-lines command-get-string command-put
syn keyword tl_keyword contained command-put-buf command-put-lines command-put-string compile
syn keyword tl_keyword contained compile-defr-warning compile-error compile-file compile-only
syn keyword tl_keyword contained compile-toplevel compile-warning compl-span-str cond
syn keyword tl_keyword contained conda condlet cons conses
syn keyword tl_keyword contained conses* consp constantp copy
syn keyword tl_keyword contained copy-alist copy-buf copy-carray copy-cons
syn keyword tl_keyword contained copy-fun copy-hash copy-list copy-str
syn keyword tl_keyword contained copy-struct copy-vec cos count-if
syn keyword tl_keyword contained count-until-match countq countql countqual
syn keyword tl_keyword contained cptr cptr-cast cptr-free cptr-int
syn keyword tl_keyword contained cptr-null cptr-obj cptr-type cptr-zap
syn keyword tl_keyword contained cptrp cr0 cr1 cr2
syn keyword tl_keyword contained cr3 crdly cread crtscts
syn keyword tl_keyword contained crypt cs5 cs6 cs7
syn keyword tl_keyword contained cs8 csize cstopb cum-norm-dist
syn keyword tl_keyword contained daemon dec defer-warning defex
syn keyword tl_keyword contained deffi deffi-cb deffi-cb-unsafe deffi-sym
syn keyword tl_keyword contained deffi-type deffi-var define-accessor define-modify-macro
syn keyword tl_keyword contained define-param-expander define-place-macro defmacro defmeth
syn keyword tl_keyword contained defpackage defparm defparml defplace
syn keyword tl_keyword contained defstruct defsymacro defun defvar
syn keyword tl_keyword contained defvarl del delay delete-package
syn keyword tl_keyword contained dev-t diff digits digpow
syn keyword tl_keyword contained dir-name disassemble display-width divides
syn keyword tl_keyword contained dlclose dlopen dlsym dlsym-checked
syn keyword tl_keyword contained dlvsym dlvsym-checked do dohash
syn keyword tl_keyword contained doloop doloop* dotimes double
syn keyword tl_keyword contained downcase-str drop drop-until drop-while
syn keyword tl_keyword contained dump-compiled-objects dump-deferred-warnings dump-to-tlo dup
syn keyword tl_keyword contained dupfd dwim each each*
syn keyword tl_keyword contained echo echoctl echoe echok
syn keyword tl_keyword contained echoke echonl echoprt eighth
syn keyword tl_keyword contained elemsize elemtype empty endgrent
syn keyword tl_keyword contained endp endpwent ends-with ensure-dir
syn keyword tl_keyword contained enum enumed env env-fbind
syn keyword tl_keyword contained env-fbindings env-hash env-next env-vbind
syn keyword tl_keyword contained env-vbindings eq eql equal
syn keyword tl_keyword contained equot errno error eval
syn keyword tl_keyword contained eval-only evenp exception-subtype-map exception-subtype-p
syn keyword tl_keyword contained exec exit exit* exp
syn keyword tl_keyword contained expand expand* expand-left expand-right
syn keyword tl_keyword contained expand-with-free-refs expt exptmod extproc
syn keyword tl_keyword contained f$ f^ f^$ false
syn keyword tl_keyword contained fboundp ff0 ff1 ffdly
syn keyword tl_keyword contained ffi ffi-alignof ffi-arraysize ffi-call
syn keyword tl_keyword contained ffi-elemsize ffi-elemtype ffi-get ffi-in
syn keyword tl_keyword contained ffi-make-call-desc ffi-make-closure ffi-offsetof ffi-out
syn keyword tl_keyword contained ffi-put ffi-put-into ffi-size ffi-type-compile
syn keyword tl_keyword contained ffi-type-operator-p ffi-type-p ffi-typedef fifth
syn keyword tl_keyword contained file-append file-append-buf file-append-lines file-append-string
syn keyword tl_keyword contained file-get file-get-buf file-get-lines file-get-string
syn keyword tl_keyword contained file-put file-put-buf file-put-lines file-put-string
syn keyword tl_keyword contained fileno fill-buf fill-buf-adjust fill-carray
syn keyword tl_keyword contained fill-obj filter-equal filter-string-tree finalize
syn keyword tl_keyword contained find find-frame find-frames find-if
syn keyword tl_keyword contained find-max find-min find-package find-struct-type
syn keyword tl_keyword contained first fixnum-max fixnum-min fixnump
syn keyword tl_keyword contained flatcar flatcar* flatten flatten*
syn keyword tl_keyword contained flet flip flipargs flo-dig
syn keyword tl_keyword contained flo-down flo-epsilon flo-get-round-mode flo-int
syn keyword tl_keyword contained flo-max flo-max-dig flo-min flo-near
syn keyword tl_keyword contained flo-set-round-mode flo-str flo-up flo-zero
syn keyword tl_keyword contained float floatp floor floor-rem
syn keyword tl_keyword contained flush-stream flusho fmakunbound fmt
syn keyword tl_keyword contained fnm-casefold fnm-leading-dir fnm-noescape fnm-pathname
syn keyword tl_keyword contained fnm-period fnmatch for for*
syn keyword tl_keyword contained force force-break fork format
syn keyword tl_keyword contained fourth fr$ fr^ fr^$
syn keyword tl_keyword contained from frr fsblkcnt-t fsfilcnt-t
syn keyword tl_keyword contained fstat ftw ftw-actionretval ftw-chdir
syn keyword tl_keyword contained ftw-continue ftw-d ftw-depth ftw-dnr
syn keyword tl_keyword contained ftw-dp ftw-f ftw-mount ftw-ns
syn keyword tl_keyword contained ftw-phys ftw-skip-siblings ftw-skip-subtree ftw-sl
syn keyword tl_keyword contained ftw-sln ftw-stop fun func-get-env
syn keyword tl_keyword contained func-get-form func-get-name func-set-env functionp
syn keyword tl_keyword contained gcd gen gen-hash-seed generate
syn keyword tl_keyword contained gensym gequal get-buf-from-stream get-byte
syn keyword tl_keyword contained get-char get-clobber-expander get-delete-expander get-error
syn keyword tl_keyword contained get-error-str get-frames get-hash-userdata get-indent
syn keyword tl_keyword contained get-indent-mode get-line get-lines get-list-from-stream
syn keyword tl_keyword contained get-obj get-sig-handler get-string get-string-from-stream
syn keyword tl_keyword contained get-update-expander getaddrinfo getegid getenv
syn keyword tl_keyword contained geteuid getgid getgrent getgrgid
syn keyword tl_keyword contained getgrnam getgroups gethash getitimer
syn keyword tl_keyword contained getopts getpid getppid getpwent
syn keyword tl_keyword contained getpwnam getpwuid getresgid getresuid
syn keyword tl_keyword contained getuid gid-t ginterate giterate
syn keyword tl_keyword contained glob glob-altdirfunc glob-brace glob-err
syn keyword tl_keyword contained glob-mark glob-nocheck glob-noescape glob-nomagic
syn keyword tl_keyword contained glob-nosort glob-onlydir glob-period glob-tilde
syn keyword tl_keyword contained glob-tilde-check go grade greater
syn keyword tl_keyword contained group-by group-reduce gun handle
syn keyword tl_keyword contained handle* handler-bind hash hash-alist
syn keyword tl_keyword contained hash-begin hash-construct hash-count hash-diff
syn keyword tl_keyword contained hash-eql hash-equal hash-from-alist hash-from-pairs
syn keyword tl_keyword contained hash-isec hash-keys hash-list hash-next
syn keyword tl_keyword contained hash-pairs hash-proper-subset hash-revget hash-subset
syn keyword tl_keyword contained hash-symdiff hash-uni hash-update hash-update-1
syn keyword tl_keyword contained hash-userdata hash-values hashp have
syn keyword tl_keyword contained hlet hlet* html-decode html-encode
syn keyword tl_keyword contained html-encode* hupcl iapply icanon
syn keyword tl_keyword contained icrnl id-t identity ido
syn keyword tl_keyword contained iexten if ifa iff
syn keyword tl_keyword contained iffi iflet ignbrk igncr
syn keyword tl_keyword contained ignerr ignpar ignwarn imaxbel
syn keyword tl_keyword contained improper-plist-to-alist in in-package in-range
syn keyword tl_keyword contained in-range* in6addr-any in6addr-loopback inaddr-any
syn keyword tl_keyword contained inaddr-loopback inc inc-indent indent-code
syn keyword tl_keyword contained indent-data indent-off inhash inlcr
syn keyword tl_keyword contained ino-t inpck int int-chr
syn keyword tl_keyword contained int-cptr int-flo int-ptr-t int-str
syn keyword tl_keyword contained int16 int32 int64 int8
syn keyword tl_keyword contained integerp intern interp-fun-p interpose
syn keyword tl_keyword contained inv-cum-norm invoke-catch ip ipf
syn keyword tl_keyword contained iread isec isig isqrt
syn keyword tl_keyword contained istrip itimer-prov itimer-real itimer-virtual
syn keyword tl_keyword contained iuclc iutf8 ixany ixoff
syn keyword tl_keyword contained ixon juxt keep-if keep-if*
syn keyword tl_keyword contained keepq keepql keepqual key-t
syn keyword tl_keyword contained keyword-package keywordp kill labels
syn keyword tl_keyword contained lambda last lazy-str lazy-str-force
syn keyword tl_keyword contained lazy-str-force-upto lazy-str-get-trailing-list lazy-stream-cons lazy-stringp
syn keyword tl_keyword contained lcm lcons lcons-fun lconsp
syn keyword tl_keyword contained ldiff le-double le-float le-int16
syn keyword tl_keyword contained le-int32 le-int64 le-uint16 le-uint32
syn keyword tl_keyword contained le-uint64 len length length-buf
syn keyword tl_keyword contained length-carray length-list length-str length-str-<
syn keyword tl_keyword contained length-str-<= length-str-> length-str->= length-vec
syn keyword tl_keyword contained lequal less let let*
syn keyword tl_keyword contained lexical-fun-p lexical-lisp1-binding lexical-var-p lib-version
syn keyword tl_keyword contained link lisp-parse list list*
syn keyword tl_keyword contained list-carray list-str list-vec list-vector
syn keyword tl_keyword contained listp load load-time loff-t
syn keyword tl_keyword contained log log-alert log-auth log-authpriv
syn keyword tl_keyword contained log-cons log-crit log-daemon log-debug
syn keyword tl_keyword contained log-emerg log-err log-info log-ndelay
syn keyword tl_keyword contained log-notice log-nowait log-odelay log-perror
syn keyword tl_keyword contained log-pid log-user log-warning log10
syn keyword tl_keyword contained log2 logand logcount logior
syn keyword tl_keyword contained lognot logtest logtrunc logxor
syn keyword tl_keyword contained long longlong lop lset
syn keyword tl_keyword contained lstat m$ m^ m^$
syn keyword tl_keyword contained mac-param-bind macro-ancestor macro-form-p macro-time
syn keyword tl_keyword contained macroexpand macroexpand-1 macroexpand-1-lisp1 macroexpand-lisp1
syn keyword tl_keyword contained macrolet major make-buf make-buf-stream
syn keyword tl_keyword contained make-catenated-stream make-env make-hash make-lazy-cons
syn keyword tl_keyword contained make-lazy-struct make-like make-package make-random-state
syn keyword tl_keyword contained make-similar-hash make-string-byte-input-stream make-string-input-stream make-string-output-stream
syn keyword tl_keyword contained make-strlist-input-stream make-strlist-output-stream make-struct make-struct-delegate-stream
syn keyword tl_keyword contained make-struct-type make-sym make-time make-time-utc
syn keyword tl_keyword contained make-trie make-union make-zstruct makedev
syn keyword tl_keyword contained makunbound mapcar mapcar* mapdo
syn keyword tl_keyword contained mapf maphash mappend mappend*
syn keyword tl_keyword contained maprend maprod mask match-fun
syn keyword tl_keyword contained match-regex match-regex-right match-regst match-regst-right
syn keyword tl_keyword contained match-str match-str-tree max mboundp
syn keyword tl_keyword contained member member-if memp memq
syn keyword tl_keyword contained memql memqual merge meth
syn keyword tl_keyword contained method min minor minusp
syn keyword tl_keyword contained mismatch mkdir mknod mkstring
syn keyword tl_keyword contained mlet mmakunbound mod mode-t
syn keyword tl_keyword contained multi multi-sort n-choose-k n-perm-k
syn keyword tl_keyword contained nconc neq neql nequal
syn keyword tl_keyword contained new nexpand-left nil nilf
syn keyword tl_keyword contained ninth nl0 nl1 nldly
syn keyword tl_keyword contained nlink-t noflsh none not
syn keyword tl_keyword contained notf nreconc nreverse nth
syn keyword tl_keyword contained nthcdr nthlast null nullify
syn keyword tl_keyword contained num-carray num-chr num-str numberp
syn keyword tl_keyword contained nzerop oand obtain obtain*
syn keyword tl_keyword contained obtain*-block obtain-block ocrnl oddp
syn keyword tl_keyword contained ofdel off-t offsetof ofill
syn keyword tl_keyword contained olcuc onlcr onlret onocr
syn keyword tl_keyword contained op open-command open-directory open-file
syn keyword tl_keyword contained open-fileno open-files open-files* open-pipe
syn keyword tl_keyword contained open-process open-socket open-socket-pair open-tail
syn keyword tl_keyword contained openlog opip opost opt
syn keyword tl_keyword contained opthelp or orf package-alist
syn keyword tl_keyword contained package-fallback-list package-foreign-symbols package-local-symbols package-name
syn keyword tl_keyword contained package-symbols packagep pad parenb
syn keyword tl_keyword contained parmrk parodd partition partition*
syn keyword tl_keyword contained partition-by path-blkdev-p path-cat path-chrdev-p
syn keyword tl_keyword contained path-dir-p path-executable-to-me-p path-exists-p path-file-p
syn keyword tl_keyword contained path-mine-p path-my-group-p path-newer path-older
syn keyword tl_keyword contained path-pipe-p path-private-to-me-p path-read-writable-to-me-p path-readable-to-me-p
syn keyword tl_keyword contained path-same-object path-sep-chars path-setgid-p path-setuid-p
syn keyword tl_keyword contained path-sock-p path-sticky-p path-strictly-private-to-me-p path-symlink-p
syn keyword tl_keyword contained path-writable-to-me-p pdec pendin perm
syn keyword tl_keyword contained pid-t pinc pipe place-form-p
syn keyword tl_keyword contained placelet placelet* plist-to-alist plusp
syn keyword tl_keyword contained poll poll-err poll-in poll-nval
syn keyword tl_keyword contained poll-out poll-pri poll-rdband poll-rdhup
syn keyword tl_keyword contained poll-wrband poly pop pos
syn keyword tl_keyword contained pos-if pos-max pos-min posq
syn keyword tl_keyword contained posql posqual pppred ppred
syn keyword tl_keyword contained pprinl pprint pprof pred
syn keyword tl_keyword contained prinl print prod prof
syn keyword tl_keyword contained prog prog* prog1 progn
syn keyword tl_keyword contained promisep prop proper-list-p proper-listp
syn keyword tl_keyword contained pset ptr ptr-in ptr-in-d
syn keyword tl_keyword contained ptr-out ptr-out-d ptr-out-s ptrdiff-t
syn keyword tl_keyword contained pub:txr-sym pure-rel-path-p purge-deferred-warning push
syn keyword tl_keyword contained pushhash pushnew put-buf put-byte
syn keyword tl_keyword contained put-carray put-char put-line put-lines
syn keyword tl_keyword contained put-obj put-string put-strings pwd
syn keyword tl_keyword contained qquote qref quote r$
syn keyword tl_keyword contained r^ r^$ raise rand
syn keyword tl_keyword contained random random-fixnum random-float random-state-get-vec
syn keyword tl_keyword contained random-state-p range range* range-regex
syn keyword tl_keyword contained rangep rassoc rassql rcomb
syn keyword tl_keyword contained rcons read read-until-match readlink
syn keyword tl_keyword contained real-time-stream-p realpath record-adapter reduce-left
syn keyword tl_keyword contained reduce-right ref refset regex-compile
syn keyword tl_keyword contained regex-from-trie regex-parse regex-prefix-match regex-source
syn keyword tl_keyword contained regexp register-exception-subtypes register-tentative-def regsub
syn keyword tl_keyword contained rehome-sym relate release-deferred-warnings remhash
syn keyword tl_keyword contained remove-if remove-if* remove-path remq
syn keyword tl_keyword contained remq* remql remql* remqual
syn keyword tl_keyword contained remqual* rename-path repeat replace
syn keyword tl_keyword contained replace-list replace-str replace-struct replace-vec
syn keyword tl_keyword contained reset-struct rest ret retf
syn keyword tl_keyword contained return return* return-from revappend
syn keyword tl_keyword contained reverse rfind rfind-if rlcp
syn keyword tl_keyword contained rlcp-tree rlet rlist rlist*
syn keyword tl_keyword contained rmember rmember-if rmemq rmemql
syn keyword tl_keyword contained rmemqual rmismatch rotate round
syn keyword tl_keyword contained round-rem rperm rplaca rplacd
syn keyword tl_keyword contained rpoly rpos rpos-if rposq
syn keyword tl_keyword contained rposql rposqual rr rra
syn keyword tl_keyword contained rsearch rslot rtld-deepbind rtld-global
syn keyword tl_keyword contained rtld-lazy rtld-local rtld-nodelete rtld-noload
syn keyword tl_keyword contained rtld-now run s-ifblk s-ifchr
syn keyword tl_keyword contained s-ifdir s-ififo s-iflnk s-ifmt
syn keyword tl_keyword contained s-ifreg s-ifsock s-irgrp s-iroth
syn keyword tl_keyword contained s-irusr s-irwxg s-irwxo s-irwxu
syn keyword tl_keyword contained s-isgid s-isuid s-isvtx s-iwgrp
syn keyword tl_keyword contained s-iwoth s-iwusr s-ixgrp s-ixoth
syn keyword tl_keyword contained s-ixusr save-exe sbit scan-until-match
syn keyword tl_keyword contained search search-regex search-regst search-str
syn keyword tl_keyword contained search-str-tree second seek-stream select
syn keyword tl_keyword contained self-load-path self-path seqp set
syn keyword tl_keyword contained set-diff set-hash-userdata set-indent set-indent-mode
syn keyword tl_keyword contained set-package-fallback-list set-sig-handler setegid setenv
syn keyword tl_keyword contained seteuid setgid setgrent setgroups
syn keyword tl_keyword contained sethash setitimer setlogmask setpwent
syn keyword tl_keyword contained setresgid setresuid setuid seventh
syn keyword tl_keyword contained sh shift short shuffle
syn keyword tl_keyword contained sig-abrt sig-alrm sig-atomic-t sig-bus
syn keyword tl_keyword contained sig-check sig-chld sig-cont sig-fpe
syn keyword tl_keyword contained sig-hup sig-ill sig-int sig-io
syn keyword tl_keyword contained sig-iot sig-kill sig-pipe sig-poll
syn keyword tl_keyword contained sig-prof sig-pwr sig-quit sig-segv
syn keyword tl_keyword contained sig-stkflt sig-stop sig-sys sig-term
syn keyword tl_keyword contained sig-trap sig-tstp sig-ttin sig-ttou
syn keyword tl_keyword contained sig-urg sig-usr1 sig-usr2 sig-vtalrm
syn keyword tl_keyword contained sig-winch sig-xcpu sig-xfsz sign-extend
syn keyword tl_keyword contained signum sin sixth size-t
syn keyword tl_keyword contained size-vec sizeof slet slot
syn keyword tl_keyword contained slotp slots slotset sock-accept
syn keyword tl_keyword contained sock-bind sock-cloexec sock-connect sock-dgram
syn keyword tl_keyword contained sock-family sock-listen sock-nonblock sock-peer
syn keyword tl_keyword contained sock-recv-timeout sock-send-timeout sock-set-peer sock-shutdown
syn keyword tl_keyword contained sock-stream sock-type some sort
syn keyword tl_keyword contained sort-group source-loc source-loc-str span-str
syn keyword tl_keyword contained special-operator-p special-var-p spl splice
syn keyword tl_keyword contained split split* split-str split-str-set
syn keyword tl_keyword contained sqrt square ssize-t sssucc
syn keyword tl_keyword contained ssucc starts-with stat static-slot
syn keyword tl_keyword contained static-slot-ensure static-slot-home static-slot-p static-slot-set
syn keyword tl_keyword contained stdlib str str-d str-in6addr
syn keyword tl_keyword contained str-in6addr-net str-inaddr str-inaddr-net str<
syn keyword tl_keyword contained str<= str= str> str>=
syn keyword tl_keyword contained stream-get-prop stream-set-prop streamp string-extend
syn keyword tl_keyword contained string-lt stringp struct struct-from-args
syn keyword tl_keyword contained struct-from-plist struct-get-initfun struct-get-postinitfun struct-set-initfun
syn keyword tl_keyword contained struct-set-postinitfun struct-type struct-type-p structp
syn keyword tl_keyword contained sub sub-list sub-str sub-vec
syn keyword tl_keyword contained subtypep succ sum super
syn keyword tl_keyword contained super-method suspend swap symacrolet
syn keyword tl_keyword contained symbol-function symbol-macro symbol-name symbol-package
syn keyword tl_keyword contained symbol-value symbolp symdiff symlink
syn keyword tl_keyword contained sys:%backpatch-high16% sys:%backpatch-low16% sys:%big-endian% sys:%bin-op%
syn keyword tl_keyword contained sys:%bin-ops% sys:%block-using-funs% sys:%call-op% sys:%file-suff-rx%
syn keyword tl_keyword contained sys:%gcall-op% sys:%imm-width% sys:%lev-bits% sys:%lev-size%
syn keyword tl_keyword contained sys:%max-lev% sys:%max-lev-idx% sys:%max-sm-lev% sys:%max-sm-lev-idx%
syn keyword tl_keyword contained sys:%max-v-lev% sys:%nary-ops% sys:%oc-code% sys:%oc-hash%
syn keyword tl_keyword contained sys:%oc-list% sys:%oc-list-builder% sys:%package-manip% sys:%sm-lev-bits%
syn keyword tl_keyword contained sys:%sm-lev-size% sys:%test-funs% sys:%test-funs-neg% sys:%test-funs-ops%
syn keyword tl_keyword contained sys:%test-funs-pos% sys:%test-inv% sys:%test-opcode% sys:%tlo-ver%
syn keyword tl_keyword contained sys:*dedup* sys:*emit* sys:*eval* sys:*load-recursive*
syn keyword tl_keyword contained sys:*op-ctx* sys:*pl-env* sys:*trace-hash* sys:*trace-level*
syn keyword tl_keyword contained sys:abscond* sys:abscond-from sys:analyze-argtypes sys:apply
syn keyword tl_keyword contained sys:asm-error sys:assumed-fun sys:awk%--rng sys:awk%--rng+
syn keyword tl_keyword contained sys:awk%--rng- sys:awk%-rng+ sys:awk%rng+ sys:awk-code-move-check
syn keyword tl_keyword contained sys:awk-error sys:awk-expander sys:awk-fun-let sys:awk-fun-shadowing-env
syn keyword tl_keyword contained sys:awk-mac-let sys:awk-redir sys:awk-test sys:b*
syn keyword tl_keyword contained sys:b+ sys:b- sys:b/ sys:b<
syn keyword tl_keyword contained sys:b<= sys:b= sys:b=> sys:b>
syn keyword tl_keyword contained sys:bad-slot-syntax sys:bind-mac-check sys:bind-mac-error sys:bits
syn keyword tl_keyword contained sys:bits-to-obj sys:build-key-list sys:call-delete-expander sys:capture-cont
syn keyword tl_keyword contained sys:catch sys:check-slot sys:check-struct sys:circref
syn keyword tl_keyword contained sys:compare-swap sys:compat sys:compile-in-toplevel sys:compiler-emit-warnings
syn keyword tl_keyword contained sys:conv sys:conv-expand sys:conv-let sys:ctx-form
syn keyword tl_keyword contained sys:ctx-name sys:dedup sys:deffi-cb-expander sys:define-method
syn keyword tl_keyword contained sys:defopcode sys:defopcode-derived sys:disassemble-cdf sys:dlib-expr
syn keyword tl_keyword contained sys:do-conv sys:do-path-test sys:dvbind sys:dwim-del
syn keyword tl_keyword contained sys:dwim-set sys:each-op sys:enc-small-op sys:ensure-op-arg
syn keyword tl_keyword contained sys:env-to-let sys:eval-err sys:expand-bind-mac-params sys:expand-defmacro
syn keyword tl_keyword contained sys:expand-defsymacro sys:expand-defun sys:expand-defvarl sys:expand-dohash
syn keyword tl_keyword contained sys:expand-doloop sys:expand-each sys:expand-handle sys:expand-params
syn keyword tl_keyword contained sys:expand-quasi sys:expand-quasi-args sys:expand-quasi-mods sys:expand-sym-ref
syn keyword tl_keyword contained sys:expr sys:extract-keys sys:extract-keys-p sys:fbind
syn keyword tl_keyword contained sys:fmt-flex sys:fmt-join sys:fmt-simple sys:for-op
syn keyword tl_keyword contained sys:gc sys:gc-set-delta sys:get-buf-common sys:get-fun-getter-setter
syn keyword tl_keyword contained sys:get-mb sys:get-parser sys:get-place-macro sys:get-vb
syn keyword tl_keyword contained sys:getopts-error sys:handle-bad-syntax sys:hlet-expand sys:if-to-cond
syn keyword tl_keyword contained sys:in6addr-condensed-text sys:is-label sys:l1-setq sys:l1-val
syn keyword tl_keyword contained sys:lambda-apply-transform sys:lambda-short-apply-list sys:lambda-too-few-args sys:lambda-too-many-args
syn keyword tl_keyword contained sys:lbind sys:lisp1-setq sys:lisp1-value sys:list-builder-flets
syn keyword tl_keyword contained sys:list-from-vm-desc sys:lnew sys:load-time-lit sys:loc
syn keyword tl_keyword contained sys:make-anon-package sys:make-struct-lit sys:make-struct-type sys:mark-special
syn keyword tl_keyword contained sys:maybe-mov sys:misleading-ref-check sys:name-str sys:neg
syn keyword tl_keyword contained sys:obtain-impl sys:op-alpha-rename sys:op-expand sys:op-meta-p
syn keyword tl_keyword contained sys:open-compile-streams sys:operand-to-exp sys:operand-to-sym sys:opip-expand
syn keyword tl_keyword contained sys:opt-dash sys:opt-err sys:parse-compound-operand sys:parse-operand
syn keyword tl_keyword contained sys:parser-eof sys:parser-errors sys:path-access sys:path-examine
syn keyword tl_keyword contained sys:path-test sys:path-test-mode sys:pl-expand sys:placelet-1
syn keyword tl_keyword contained sys:propagate-ancestor sys:prune-missing-inits sys:qquote sys:quasi
syn keyword tl_keyword contained sys:quasilist sys:r-s-let-expander sys:reg-expand-nongreedy sys:reg-optimize
syn keyword tl_keyword contained sys:register-opcode sys:register-simple-accessor sys:rplaca sys:rplacd
syn keyword tl_keyword contained sys:rslotset sys:rt-defmacro sys:rt-defsymacro sys:rt-defun
syn keyword tl_keyword contained sys:rt-defvarl sys:set-hash-rec-limit sys:set-hash-str-limit sys:set-macro-ancestor
syn keyword tl_keyword contained sys:setq sys:setqf sys:shut-rd sys:shut-rdwr
syn keyword tl_keyword contained sys:shut-wr sys:slot-types sys:small-op-p sys:small-op-to-sym
syn keyword tl_keyword contained sys:splice sys:static-slot-types sys:str-inaddr-net-impl sys:struct-lit
syn keyword tl_keyword contained sys:switch sys:sym-clobber-expander sys:sym-delete-expander sys:sym-update-expander
syn keyword tl_keyword contained sys:system-symbol-p sys:test-clear sys:test-dec sys:test-inc
syn keyword tl_keyword contained sys:test-set sys:top-fb sys:top-mb sys:top-vb
syn keyword tl_keyword contained sys:tr* sys:trace sys:trace-canonicalize-name sys:trace-enter
syn keyword tl_keyword contained sys:trace-leave sys:trace-redefine-check sys:trfm sys:try-load
syn keyword tl_keyword contained sys:txr-case-impl sys:unquote sys:untrace sys:upenv
syn keyword tl_keyword contained sys:var sys:vm-closure-desc sys:vm-closure-entry sys:vm-desc-bytecode
syn keyword tl_keyword contained sys:vm-desc-datavec sys:vm-desc-nlevels sys:vm-desc-nregs sys:vm-desc-symvec
syn keyword tl_keyword contained sys:vm-execute-toplevel sys:vm-make-desc sys:wdwrap sys:with-dyn-lib-check
syn keyword tl_keyword contained sys:with-lev-idx syslog system-package t
syn keyword tl_keyword contained tab0 tab1 tab2 tab3
syn keyword tl_keyword contained tabdly tagbody take take-until
syn keyword tl_keyword contained take-while tan tb tc
syn keyword tl_keyword contained tcdrain tcflow tcflush tcgetattr
syn keyword tl_keyword contained tciflush tcioff tcioflush tcion
syn keyword tl_keyword contained tcoflush tcooff tcoon tcsadrain
syn keyword tl_keyword contained tcsaflush tcsanow tcsendbreak tcsetattr
syn keyword tl_keyword contained tentative-def-exists tenth test-clear-dirty test-dirty
syn keyword tl_keyword contained test-set-indent-mode tf third throw
syn keyword tl_keyword contained throwf time time-fields-local time-fields-utc
syn keyword tl_keyword contained time-parse time-parse-local time-parse-utc time-string-local
syn keyword tl_keyword contained time-string-utc time-struct-local time-struct-utc time-t
syn keyword tl_keyword contained time-usec to tofloat tofloatz
syn keyword tl_keyword contained toint tointz tok tok-str
syn keyword tl_keyword contained tok-where tostop tostring tostringp
syn keyword tl_keyword contained tprint trace transpose tree-bind
syn keyword tl_keyword contained tree-case tree-find trie-add trie-compress
syn keyword tl_keyword contained trie-lookup-begin trie-lookup-feed-char trie-value-at trim-str
syn keyword tl_keyword contained true trunc trunc-rem truncate-stream
syn keyword tl_keyword contained tuples txr-case txr-exe-path txr-if
syn keyword tl_keyword contained txr-path txr-version txr-when typecase
syn keyword tl_keyword contained typedef typeof typep ubit
syn keyword tl_keyword contained uchar uid-t uint uint-ptr-t
syn keyword tl_keyword contained uint16 uint32 uint64 uint8
syn keyword tl_keyword contained ulong ulonglong umask umeth
syn keyword tl_keyword contained umethod uname unget-byte unget-char
syn keyword tl_keyword contained uni unintern union union-get
syn keyword tl_keyword contained union-in union-members union-out union-put
syn keyword tl_keyword contained uniq unique unless unquote
syn keyword tl_keyword contained unsetenv until until* untrace
syn keyword tl_keyword contained unum-carray unuse-package unuse-sym unwind-protect
syn keyword tl_keyword contained upcase-str upd update uref
syn keyword tl_keyword contained url-decode url-encode use use-package
syn keyword tl_keyword contained use-sym user-package ushort usl
syn keyword tl_keyword contained usleep uslot val vdiscard
syn keyword tl_keyword contained vec vec-carray vec-list vec-push
syn keyword tl_keyword contained vec-set-length vecref vector vector-list
syn keyword tl_keyword contained vectorp veof veol veol2
syn keyword tl_keyword contained verase vintr vkill vlnext
syn keyword tl_keyword contained vm-fun-p vmin void vquit
syn keyword tl_keyword contained vreprint vstart vstop vsusp
syn keyword tl_keyword contained vswtc vt0 vt1 vtdly
syn keyword tl_keyword contained vtime vwerase w-continued w-coredump
syn keyword tl_keyword contained w-exitstatus w-ifcontinued w-ifexited w-ifsignaled
syn keyword tl_keyword contained w-ifstopped w-nohang w-stopsig w-termsig
syn keyword tl_keyword contained w-untraced wait wchar weave
syn keyword tl_keyword contained when whena whenlet where
syn keyword tl_keyword contained while while* whilet width
syn keyword tl_keyword contained width-check window-map window-mappend wint-t
syn keyword tl_keyword contained with-clobber-expander with-compilation-unit with-delete-expander with-dyn-lib
syn keyword tl_keyword contained with-gensyms with-hash-iter with-in-buf-stream with-in-string-byte-stream
syn keyword tl_keyword contained with-in-string-stream with-objects with-out-buf-stream with-out-string-stream
syn keyword tl_keyword contained with-out-strlist-stream with-resources with-slots with-stream
syn keyword tl_keyword contained with-update-expander wrap wrap* wstr
syn keyword tl_keyword contained wstr-d xcase yield yield-from
syn keyword tl_keyword contained zap zarray zero-fill zerop
syn keyword tl_keyword contained zip znew
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "\(@[ \t]*\)[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*"
syn match txr_splicevar "@[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "@\+[0-9]\+"
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ \n"`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ \n/sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match txr_error "#[^HSR]"

syn match txr_chr "#\\x[0-9A-Fa-f]\+"
syn match txr_chr "#\\o[0-7]\+"
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]"
syn match txr_chr "#\\[A-Za-z_0-9]\+"
syn match txr_ncomment ";.*"

syn match txr_hashbang "\%^#!.*"

syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match tl_ident "[:@][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+"
syn match txr_braced_ident "[:][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*"
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9]\+" contains=txr_xnum,txr_bnum,txr_onum
syn match txr_xnum "#x[+\-]\?[0-9A-Fa-f]\+" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?[0-7]\+" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?[01]\+" containedin=txr_pnum contained
syn match txr_num "[+\-]\?[0-9]\+\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_badnum "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?[A-Za-z_!$%&*+\-<=>?\\_~^/#]\+"
syn match txr_num "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match txr_num "[+\-]\?[0-9]\+\([eE][+\-]\?[0-9]\+\)\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1
syn match tl_ident ":"
syn match tl_splice "[ \t,]\|,[*]"

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'" contained
syn match txr_quote "\^" contained
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@" contained
syn match txr_circ "#[0-9]\+[#=]"

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar matchgroup=Delimiter start="@[ \t]*[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_list matchgroup=Delimiter start="\(#[HSR]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_bracket matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_mlist matchgroup=Delimiter start="@[ \t^',]*(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_mbracket matchgroup=Delimiter start="@[ \t^',]*\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_string start=+#\?\*\?"+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit start=+#\?\*\?`+ end=+[`\n]+ contains=txr_splicevar,txr_metanum,txr_bracevar,txr_mlist,txr_mbracket,txr_escat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex start="/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex start="#/" end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign_par matchgroup=Comment start="#;[ \t',]*\(#[HSR]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt matchgroup=Comment start="#;[ \t',]*\(#[HSR]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_par_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link txr_keyword Keyword
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_par Comment
hi def link txr_ign_bkt_interior Comment
hi def link txr_ign_par_interior Comment
hi def link txr_ign_bkt Comment

let b:current_syntax = "lisp"

set lispwords=ado,alet,align,alignof,ap,append-each,append-each*,aret,array,arraysize,awk,bit,block,block*,bool,buf,buf-d,build,carray,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,collect-each,collect-each*,compile-only,cond,conda,condlet,cptr,dec,defex,deffi,deffi-cb,deffi-cb-unsafe,deffi-sym,deffi-type,deffi-var,define-accessor,define-modify-macro,define-param-expander,define-place-macro,defmacro,defmeth,defpackage,defparm,defparml,defplace,defstruct,defsymacro,defun,defvar,defvarl,del,delay,do,dohash,doloop,doloop*,dotimes,each,each*,elemsize,elemtype,enum,enumed,equot,eval-only,ffi,flet,flip,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,hlet,hlet*,ido,if,ifa,iflet,ignerr,ignwarn,in-package,ip,labels,lambda,lcons,let,let*,load-time,lop,lset,mac-param-bind,macro-time,macrolet,mlet,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,pdec,pinc,placelet,placelet*,pop,pprof,prof,prog,prog*,prog1,progn,ptr,ptr-in,ptr-in-d,ptr-out,ptr-out-d,ptr-out-s,push,pushnew,ret,return,return-from,rlet,rslot,sbit,sizeof,slet,splice,struct,suspend,symacrolet,sys:abscond-from,sys:awk-fun-let,sys:awk-mac-let,sys:awk-redir,sys:catch,sys:compare-swap,sys:compile-in-toplevel,sys:conv,sys:defopcode,sys:defopcode-derived,sys:dlib-expr,sys:dvbind,sys:each-op,sys:expr,sys:fbind,sys:for-op,sys:l1-val,sys:lbind,sys:lisp1-value,sys:lnew,sys:load-time-lit,sys:path-examine,sys:path-test,sys:placelet-1,sys:splice,sys:struct-lit,sys:switch,sys:test-clear,sys:test-dec,sys:test-inc,sys:test-set,sys:txr-case-impl,sys:unquote,sys:upenv,sys:var,sys:with-lev-idx,tagbody,tb,tc,trace,tree-bind,tree-case,txr-case,txr-if,txr-when,typecase,typedef,ubit,union,unless,unquote,until,until*,untrace,unwind-protect,upd,uref,when,whena,whenlet,while,while*,whilet,with-clobber-expander,with-compilation-unit,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-buf-stream,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-buf-stream,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,zarray,znew,:method,:function,:init,:postinit,:fini
